Bug 198316 - [NEW PORT] deskutils/py-vdirsyncer: synchronize calendars and contacts
Summary: [NEW PORT] deskutils/py-vdirsyncer: synchronize calendars and contacts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-05 15:20 UTC by Maxim Filimonov
Modified: 2015-03-10 11:49 UTC (History)
2 users (show)

See Also:


Attachments
svn diff (3.05 KB, patch)
2015-03-05 15:20 UTC, Maxim Filimonov
no flags Details | Diff
shar (1.81 KB, text/plain; charset=us-ascii)
2015-03-05 15:21 UTC, Maxim Filimonov
no flags Details
make stage && make check-plist && make stage-qa && make package (271 bytes, text/plain; charset=us-ascii)
2015-03-05 16:10 UTC, Maxim Filimonov
no flags Details
svn diff (3.31 KB, patch)
2015-03-08 11:13 UTC, Maxim Filimonov
no flags Details | Diff
shar (2.19 KB, application/x-shar)
2015-03-08 11:15 UTC, Maxim Filimonov
no flags Details
svn diff (3.31 KB, patch)
2015-03-08 11:24 UTC, Maxim Filimonov
no flags Details | Diff
shar (14.39 KB, application/x-shar)
2015-03-08 11:24 UTC, Maxim Filimonov
no flags Details
svn diff (3.31 KB, patch)
2015-03-08 20:54 UTC, Maxim Filimonov
no flags Details | Diff
shar (2.19 KB, application/x-shar)
2015-03-08 20:54 UTC, Maxim Filimonov
no flags Details
shar (2.19 KB, application/x-shar)
2015-03-08 20:55 UTC, Maxim Filimonov
no flags Details
shar (2.21 KB, application/x-shar)
2015-03-09 11:27 UTC, Maxim Filimonov
no flags Details
shar (2.21 KB, application/x-shar)
2015-03-09 14:07 UTC, Maxim Filimonov
no flags Details
poudriere log (25.12 KB, text/x-log)
2015-03-09 14:09 UTC, Maxim Filimonov
no flags Details
svn diff (3.33 KB, patch)
2015-03-09 14:10 UTC, Maxim Filimonov
no flags Details | Diff
poudriere log (24.80 KB, text/x-log)
2015-03-09 14:34 UTC, Maxim Filimonov
no flags Details
shar (2.23 KB, application/x-shar)
2015-03-09 14:34 UTC, Maxim Filimonov
no flags Details
svn diff (3.35 KB, patch)
2015-03-09 14:37 UTC, Maxim Filimonov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Filimonov 2015-03-05 15:20:39 UTC
Created attachment 153837 [details]
svn diff

The mentioned port is also missing in the ports tree. Here's what portlint -AC says on the port I created:
% portlint -AC
looks fine
I also attached the diff, the shar and the make logs.
Comment 1 Maxim Filimonov 2015-03-05 15:21:43 UTC
Created attachment 153838 [details]
shar
Comment 2 Maxim Filimonov 2015-03-05 16:10:38 UTC
Created attachment 153840 [details]
make stage && make check-plist && make stage-qa && make package
Comment 3 Maxim Filimonov 2015-03-08 11:13:45 UTC
Created attachment 154001 [details]
svn diff
Comment 4 Maxim Filimonov 2015-03-08 11:15:16 UTC
Created attachment 154003 [details]
shar
Comment 5 Maxim Filimonov 2015-03-08 11:24:23 UTC
Created attachment 154004 [details]
svn diff
Comment 6 Maxim Filimonov 2015-03-08 11:24:44 UTC
Created attachment 154005 [details]
shar
Comment 7 Maxim Filimonov 2015-03-08 20:54:34 UTC
Created attachment 154036 [details]
svn diff
Comment 8 Maxim Filimonov 2015-03-08 20:54:51 UTC
Created attachment 154037 [details]
shar
Comment 9 Maxim Filimonov 2015-03-08 20:55:16 UTC
Created attachment 154038 [details]
shar
Comment 10 Maxim Filimonov 2015-03-09 11:27:06 UTC
Created attachment 154049 [details]
shar
Comment 11 Maxim Filimonov 2015-03-09 14:07:38 UTC
Created attachment 154075 [details]
shar
Comment 12 Maxim Filimonov 2015-03-09 14:09:23 UTC
Created attachment 154076 [details]
poudriere log
Comment 13 Maxim Filimonov 2015-03-09 14:10:03 UTC
Created attachment 154077 [details]
svn diff
Comment 14 Maxim Filimonov 2015-03-09 14:34:23 UTC
Created attachment 154081 [details]
poudriere log
Comment 15 Maxim Filimonov 2015-03-09 14:34:42 UTC
Created attachment 154082 [details]
shar
Comment 16 Maxim Filimonov 2015-03-09 14:37:27 UTC
Created attachment 154083 [details]
svn diff
Comment 17 commit-hook freebsd_committer 2015-03-10 11:49:19 UTC
A commit references this bug:

Author: robak
Date: Tue Mar 10 11:48:39 UTC 2015
New revision: 380909
URL: https://svnweb.freebsd.org/changeset/ports/380909

Log:
  deskutils/py-vdirsyncer: NEW PORT - Synchronize calendars and contacts

  Vdirsyncer synchronizes your calendars and addressbooks between two storages.
  The most popular purpose is to synchronize CalDAV and CardDAV with a local
  folder or file. The local data can then be accessed via a variety of programs,
  none of which have to know or worry about syncing to a server.

  WWW: https://vdirsyncer.readthedocs.org/

  PR:		198316
  Submitted by:	Maxim Filimonov <che@bein.link>

Changes:
  head/deskutils/Makefile
  head/deskutils/py-vdirsyncer/
  head/deskutils/py-vdirsyncer/Makefile
  head/deskutils/py-vdirsyncer/distinfo
  head/deskutils/py-vdirsyncer/pkg-descr
Comment 18 Bartek Rutkowski freebsd_committer 2015-03-10 11:49:43 UTC
Committed, thanks for your work!